@viewport {
    orientation: portrait;
}
/*
    MIAT by Anar 2022.
*/

body {
    
    background: url("https://eoffice.miat.com/ot_checkin/images/bg.png") no-repeat center fixed;
    background-size: cover;
}
.login {
    position: relative;
    width: 96%;
    height: 96%;
    min-height: 520px;
    max-width: 400px;
    box-shadow: 0 0 20px 0 var(--background-color);
    margin: 50px auto;
    margin-bottom: 15px;
    background-color: var(--background-color);
    text-align: center;
}

.admin {
    position: fixed;
    top: 10px;
    right: 10px;
    cursor: pointer;
    z-index: 999;
}

#info {
    width: 100%;
    font-size: 14px;
    color: var(--main-blue-color);
    letter-spacing: var(--letter-space);
    font-family: '-apple-system','SRFont';
    text-align: center;
    margin-bottom: 100px;
}

#btn_container{
    display: block;
    margin-top: 70px;
    margin-left: auto;
    margin-right: auto;
}

#apple, #android {
    display: inline-block;
    width: 120px;
    height: 38px;
    cursor: pointer;
    margin: 0px;
}

/*#apple {
    margin-left: 15%;
}
*/
#android {
    margin-left: 20px;
}

#description {
    text-align: center;
    height: 20px;
    width: 100%;
    margin-top: 40px;
    font-size: 14px;
    color: var(--text-color-on-background);
    letter-spacing: var(--letter-space);
    font-family: '-apple-system','SRFont';
}

#logo {
    cursor: pointer;
}

@media screen and (max-width: 736px) {

    .login {
        margin: 6px auto;
    }

    .admin {
        margin-right: 10px;
    }
    #info {
        margin-bottom: 12px;
    }
}

.input-wrapper{
    position: relative;
    width: calc(100% - 60px);
    margin-right: 30px;
    margin-left: 30px;
}
.errinfo{
    position: absolute;
    right: 3px;
    top: calc(50% - 5px); /* Keep icon in center of input, regardless of the input height */
    color: red;
    display: none;
}
.no_account:active, .no_account:selected {
    color: red;
}
.login img{
width: 100%;
height: auto;
margin-top: 0px;
margin-bottom: 20px;
}

input {
-webkit-appearance: none;
-moz-appearance: none;
appearance: none;
}

@-webkit-keyframes autofill {
    to {
        background: transparent;
        background-color: var(--background-color);
        color: var(--text-color-on-background);
    }
}

input:-webkit-autofill {
    -webkit-animation-name: autofill;
    -webkit-animation-fill-mode: both;
}

input[type="text"], input[type="number"], input[type="password"]{
    width: calc(100% - 28px);
    padding-right: 22px;
    padding-left: 6px;
    outline: 0;
    border-width: 0 0 2px;
    border-color: var(--tfield-bottom-border-color);
    border-radius: 0px;
    margin-top: 10px;
    height: 40px;
    font-size: 18px;
    letter-spacing: var(--letter-space);
    font-family: '-apple-system','SRFont';
    background-color: var(--background-color);
    color: var(--text-color-on-background);
}
input:focus {
    border-color: var(--tfield-bottom-border-color);
}

::placeholder {
  color: var(--placeholder-color);
  opacity: 1; /* Firefox */
}

:-ms-input-placeholder { /* Internet Explorer 10-11 */
 color: var(--placeholder-color);
}

::-ms-input-placeholder { /* Microsoft Edge */
 color: var(--placeholder-color);
}

.login form input[type="submit"] {
    width: calc(100% - 60px);
    height: 40px;
    margin-top: 60px;
    margin-right: 30px;
    margin-left: 30px;
    background-color: #e37222;
    outline: none;
    border:none;
    border-radius: 0px;
    cursor: pointer;
    font-weight: bold;
    font-size: 16px;
    letter-spacing: var(--letter-space);
    font-family: '-apple-system','SRFont';
    color: var(--button-text-color);
    transition: background-color 0.2s;
}
.login form input[type="submit"]:hover {
    background-color: var(--button-background-hover-color);
    transition: background-color 0.2s;
}

.desc {
    display: block;
    margin-top: 30px;
    text-decoration:none;
    color: var(--text-color-on-background);
    font-weight: 400;
    font-size: 16px;
    letter-spacing: var(--letter-space);
    font-family: '-apple-system','SRFont';
}

.no_account:active, .no_account:selected {
    color: var(--text-color-on-background);
}

.forgot_pass {
    display: block;
    margin-top: 10px;
    text-decoration:none;
    color: var(--error-text-color);
    font-weight: 400;
    font-size: 16px;
    letter-spacing: var(--letter-space);
    font-family: '-apple-system','SRFont';
}

.forgot_pass:active, .forgot_pass:selected {
    color: var(--error-text-color);
}
#footer {
    position: absolute;
    bottom: 10px;
    width: 100%;
    text-align: center;
    font-size: 12px;
    letter-spacing: var(--letter-space);
    font-family: '-apple-system','SRFont';
    color: var(--text-color-on-background);
}